﻿Option Strict On
Imports System.Windows.Media.Imaging
Partial Public Class ImageShowPage
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()
    End Sub

    Protected Overrides Sub OnNavigatedTo(e As System.Windows.Navigation.NavigationEventArgs)
        Dim myReadXml As New ReadXml
        Dim myParam As IDictionary(Of String, String) = Me.NavigationContext.QueryString
        PageTitle.Text = myParam("ImageName")
        Image1.Source = New BitmapImage(New Uri("Image/" & myParam("ImageName") & ".jpg", UriKind.Relative))

        For Each result In From c In myReadXml.XmlLoad.Descendants("情報") Where c.Element("画像名").Attribute("タイトル").Value.Equals(myParam("ImageName")) Select c
            TextBlock1.Text = result.Element("説明").Value
        Next
        MyBase.OnNavigatedTo(e)
    End Sub
End Class
