﻿Option Strict On
Imports System.Xml.Linq

Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' Constructor
    Public Sub New()
        InitializeComponent()
    End Sub

    Dim menuItemList As New List(Of MenuItem)
    Private Sub MainPage_Loaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        Dim myReadXml As New ReadXml


        For Each result In From c In myReadXml.XmlLoad.Descendants("情報") Select c
            Dim myMenuItem As New MenuItem
            With myMenuItem
                .Header = result.Element("画像名").Attribute("タイトル").Value
                .Margin = New Thickness(5)
                .Background = New SolidColorBrush(Colors.Cyan)
                .Width = 200
            End With
            menuItemList.Add(myMenuItem)


            AddHandler myMenuItem.Click, Sub(mySender As Object, myArgs As EventArgs)
                                             Dim selectTitle As MenuItem = DirectCast(mySender, MenuItem)
                                             NavigationService.Navigate(New Uri("/ImageShowPage.xaml?ImageName=" & selectTitle.Header.ToString, UriKind.Relative))
                                         End Sub

        Next
        ContextMenu1.ItemsSource = menuItemList
    End Sub

    Private Sub Button1_Click(sender As Object, e As System.Windows.RoutedEventArgs) Handles Button1.Click

        ContextMenu1.IsOpen = True

    End Sub
End Class
